---
title: "Get campaign activity by location"
slug: "get-campaign-activity-by-location"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to get campaign activity by location."
---
# Get campaign activity by location

`GET /campaigns/{CampaignID}/stats/countries.{Format}`

Retrieves the details about a specific campaign's unique or total opens by location.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| CampaignID | path | string | true | The ID of the campaign that you want to get the activity by location of. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |

```http
GET https://{hostname}/v3/campaigns/{CampaignID}/stats/countries.{Format}?apikey=
```

```curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/campaigns/{CampaignID}/stats/countries.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
    "Code": 0,
    "Error": null,
    "Context": {
        "Paging": {
            "PageSize": 1,
            "CurrentPage": 1,
            "TotalResults": 1,
            "TotalPageCount": 1,
            "SortExpression": null,
            "SortIsAscending": false
        },
        "Analytics": \[
            {
                "Context": "nl",
                "ContextName": null,
                "TotalCount": 1,
                "UniqueCount": 1,
                "ContextDescription": null,
                "Timestamp": null
            }
        \]
    }
    "Analytics": \[
      {
        "Context": "  ",
        "ContextName": null,
        "TotalCount": 1,
        "UniqueCount": 1,
        "ContextDescription": null
      }
    \]
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - an object that contains all the `Paging` and `Analytics` information for the campaign:
    
    -   `Paging` - an object that contains the following information:
        
        -   `PageSize` - the page size of the results. This is `0` if not defined.
            
        -   `CurrentPage` - the number of the result page. This is `1` if not defined.
            
        -   `Totalresults` - the number of results that are included in the response.
            
        -   `TotalPageCount` - the total number of pages in your account.
            
        -   `SortExpression` - the sort expression associated with the column or columns being sorted.
            
        -   `SortIsAscending` - this is `false` if the results are not displayed in ascending order based on the sort expression.

    -   `Analytics` - a list of countries where the campaign opens occurred. It contains the following information for each country:
        
        -   `Context` - the country code.
            
        -   `ContextName` - the name of the country.
            
        -   `TotalCount` - the total number of campaign opens. Deprecated
            
        -   `UniqueCount` - The total number of unique campaign opens. Deprecated
            
        -   `ContextDescription` - this is `null` for this case.
            
        -   `Timestamp` - the time the action is added in the response